com.sun.jna.platform.win32

## Class OaIdl.CALLCONV

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.CALLCONV

Direct Known Subclasses:
  OaIdl.CALLCONV.ByReference

Enclosing interface:
  OaIdl

    @Structure.FieldOrder(value="value")
    public static class OaIdl.CALLCONV
    extends Structure

### Nested Class Summary

Nested Classes
`static class` `OaIdl.CALLCONV.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`static int` `CC_CDECL`
`static int` `CC_FASTCALL`
`static int` `CC_FPFASTCALL`
`static int` `CC_MACPASCAL`
`static int` `CC_MAX`
`static int` `CC_MPWCDECL`
`static int` `CC_MPWPASCAL`
`static int` `CC_MSCPASCAL`
`static int` `CC_PASCAL`
`static int` `CC_STDCALL`
`static int` `CC_SYSCALL`
`int` `value`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CALLCONV()`
`CALLCONV(int value)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CC_FASTCALL

    public static final int CC_FASTCALL

See Also:
  Constant Field Values

#### CC_CDECL

    public static final int CC_CDECL

See Also:
  Constant Field Values

#### CC_MSCPASCAL

    public static final int CC_MSCPASCAL

See Also:
  Constant Field Values

#### CC_PASCAL

    public static final int CC_PASCAL

See Also:
  Constant Field Values

#### CC_MACPASCAL

    public static final int CC_MACPASCAL

See Also:
  Constant Field Values

#### CC_STDCALL

    public static final int CC_STDCALL

See Also:
  Constant Field Values

#### CC_FPFASTCALL

    public static final int CC_FPFASTCALL

See Also:
  Constant Field Values

#### CC_SYSCALL

    public static final int CC_SYSCALL

See Also:
  Constant Field Values

#### CC_MPWCDECL

    public static final int CC_MPWCDECL

See Also:
  Constant Field Values

#### CC_MPWPASCAL

    public static final int CC_MPWPASCAL

See Also:
  Constant Field Values

#### CC_MAX

    public static final int CC_MAX

See Also:
  Constant Field Values

#### value

    public int value

### Constructor Detail

#### CALLCONV

    public CALLCONV()

#### CALLCONV

    public CALLCONV(int value)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.